package com.yonge.cooleshow.mbg.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

/**
* Description
* @author: feng-ji
* @date: 2022-04-27
*/

/**
 * 平台订单退款表
 */
@ApiModel(value = "平台订单退款表")
public class UserOrderRefund {
    @ApiModelProperty(value = "")
    private Long id;

    @ApiModelProperty("退货id")
    private Long returnId;

    /**
     * 订单号
     */
    @ApiModelProperty(value = "订单号")
    private String orderNo;

    /**
     * 退款流水号
     */
    @ApiModelProperty(value = "退款流水号")
    private String transNo;

    /**
     * 支付流水号
     */
    @ApiModelProperty(value = "支付流水号")
    private String payTransNo;

    @ApiModelProperty("支付订单号")
    private String payOrderNo;

    /**
     * 交易金额，必须大于0，保留两位小数点，如0.10、100.05等
     */
    @ApiModelProperty(value = "交易金额，必须大于0，保留两位小数点，如0.10、100.05等")
    private BigDecimal refundAmt;

    /**
     * 汇付收取的服务费
     */
    @ApiModelProperty(value = "汇付收取的服务费")
    private BigDecimal feeAmt;

    /**
     * 交易状态 pending 交易处理中 succeeded 交易成功 failed 交易失败
     */
    @ApiModelProperty(value = "交易状态 pending 交易处理中 succeeded 交易成功 failed 交易失败")
    private String status;

    /**
     * 失败信息
     */
    @ApiModelProperty(value = "失败信息")
    private String payFailMsg;

    /**
     * 到账时间
     */
    @ApiModelProperty(value = "到账时间")
    private Date arrivalTime;

    @ApiModelProperty(value = "")
    private Date createTime;

    @ApiModelProperty(value = "")
    private Date updateTime;

    public String getPayOrderNo() {
        return payOrderNo;
    }

    public void setPayOrderNo(String payOrderNo) {
        this.payOrderNo = payOrderNo;
    }

    public Long getReturnId() {
        return returnId;
    }

    public void setReturnId(Long returnId) {
        this.returnId = returnId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getTransNo() {
        return transNo;
    }

    public void setTransNo(String transNo) {
        this.transNo = transNo;
    }

    public String getPayTransNo() {
        return payTransNo;
    }

    public void setPayTransNo(String payTransNo) {
        this.payTransNo = payTransNo;
    }

    public BigDecimal getRefundAmt() {
        return refundAmt;
    }

    public void setRefundAmt(BigDecimal refundAmt) {
        this.refundAmt = refundAmt;
    }

    public BigDecimal getFeeAmt() {
        return feeAmt;
    }

    public void setFeeAmt(BigDecimal feeAmt) {
        this.feeAmt = feeAmt;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getPayFailMsg() {
        return payFailMsg;
    }

    public void setPayFailMsg(String payFailMsg) {
        this.payFailMsg = payFailMsg;
    }

    public Date getArrivalTime() {
        return arrivalTime;
    }

    public void setArrivalTime(Date arrivalTime) {
        this.arrivalTime = arrivalTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}